Package com.ocient.jdbc

# Class XGTuple

java.lang.Object
com.ocient.jdbc.XGTuple

All Implemented Interfaces:
  `Struct`

    public class XGTuple
    extends Object
    implements Struct

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Object[]` | `getAttributes()` |
`Object[]` | `getAttributes​(Map<String,​Class<?>> map)` |
`Object` | `getObject​(int columnIndex)` |
`<T> T` | `getObject​(int columnIndex, Class<T> type)` |
`Object` | `getObject​(int columnIndex, Map<String,​Class<?>> map)` |
`String` | `getSQLTypeName()` |
`int` | `size()` |
`String` | `toString()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSQLTypeName

public String getSQLTypeName() throws SQLException

Specified by:
  `getSQLTypeName` in interface `Struct`
Throws:
  `SQLException`

### getAttributes

public Object[] getAttributes() throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`

### getAttributes

public Object[] getAttributes​(Map<String,​Class<?>> map) throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`

### getObject

public final Object getObject​(int columnIndex, Map<String,​Class<?>> map) throws SQLException

Throws:
  `SQLException`

### getObject

public final Object getObject​(int columnIndex) throws SQLException

Throws:
  `SQLException`

### getObject

public final <T> T getObject​(int columnIndex, Class<T> type) throws SQLException

Throws:
  `SQLException`

### size

public final int size()

### toString

public String toString()

Overrides:
  `toString` in class `Object`